Overview

Ingest data to edge deployment

Ingest data to edge deployment.

Use this endpoint to ingest data into a specific edge deployment. For more information, see Ingest data and Edge deployments.

The base domain for this endpoint is the base domain of the edge deployment where you want to ingest data.

Edge deployment Base domain for ingest and query
US East 1 (AWS) us-east-1.aws.edge.axiom.co
EU Central 1 (AWS) eu-central-1.aws.edge.axiom.co

This endpoint only supports API tokens. Personal access tokens (PATs) aren't supported. For more information, see Tokens.

POST/v1/ingest/{dataset-id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Request body: application/json. Data you want to send to Axiom. Supported formats: JSON, NDJSON, CSV. Upload the data in a file or send it in the payload of the request.

Input6
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
dataset-idstring · pathrequired
(path)
timestamp-fieldstring · body
(query) The name of the field to use as the timestamp. If not specified, the timestamp will be the time the event was received by Axiom.
timestamp-formatstring · body
(query) The date-time format of the timestamp field. The reference time is Mon Jan 2 15:04:05 -0700 MST 2006, as specified in Go time.Parse
csv-delimiterstring · body
(query) The delimiter to use when parsing CSV data. If not specified, the default delimiter is ,.
X-Axiom-CSV-Fieldsstring[] · body
(header) A list of optional comma separated fields to use for CSV ingestion. If not specified, the first line of the CSV will be used as the field names.
X-Axiom-Event-Labelsstring · body
(header) An optional JSON encoded object with additional labels to add to all events in the request
Output6
blocksCreatedinteger
failedinteger
failuresobject[]
ingestedinteger
processedBytesinteger
walLengthinteger
Responses
200IngestResult
Example input
curl -X POST 'https://AXIOM_DOMAIN/v1/ingest/{dataset-id}' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example output
{
  "blocksCreated": 0,
  "failed": 0,
  "failures": [
    {
      "error": "string",
      "timestamp": "2024-01-01T00:00:00Z"
    }
  ],
  "ingested": 0,
  "processedBytes": 0,
  "walLength": 0
}

Updated

Was this page helpful?